libsndfile -- buffer overflow

2007-12-29T00:00:00
ID DSA-1442
Type debian
Reporter Debian
Modified 2007-12-29T00:00:00

Description

Rubert Buchholz discovered that libsndfile, a library for reading / writing audio files, performs insufficient boundary checks when processing FLAC files, which might lead to the execution of arbitrary code.

The old stable distribution (sarge) is not affected by this problem.

For the stable distribution (etch), this problem has been fixed in version 1.0.16-2.

We recommend that you upgrade your libsndfile packages.